System.Web 2.0.0.0 System.Web.AspNetHostingPermission(System.Security.Permissions.SecurityAction.InheritanceDemand, Level=System.Web.AspNetHostingPermissionLevel.Minimal) System.Web.AspNetHostingPermission(System.Security.Permissions.SecurityAction.LinkDemand, Level=System.Web.AspNetHostingPermissionLevel.Minimal)

Implement the interface and the and methods, if you are providing custom partition resolution for session-state data across multiple backend nodes when in SQL or state-server mode.

The session-state management information can be configured in the sessionState Element (ASP.NET Settings Schema) of the configuration file with the partitionResolverType attribute. If a value is specified for the partitionResolverType attribute, the sqlConnectionString and stateConnectionString attributes are ignored.

The partition resolution configuration can also be set programmatically using the property. If the property is specified, the and properties are ignored.

Defines methods that must be implemented for custom session-state partition resolution.

- Method
  2.0.0.0
  System.Void

  Use the method to provide any initialization code that is needed for your custom partition resolution. The creates the type implementing the interface, calls the method to initialize it (once per instance), and then indicates to the ASP.NET state service or SQL Server provider that partitioning is being used and passes a resolver instance to the provider.

  Initializes the custom partition resolver.

- Method
  2.0.0.0
  System.String ``

  The parameter of the method is the property. The property uniquely identifies a browser with session data on the server.

  Resolves the partition based on a key parameter.

  A string with connection information.

  An identifier used to determine which partition to use for the current session state.